<div id="search-results" class="container mt-5">

    <b-input-group>
        <b-form-input size="md"
                      class="text-dark rounded border-dark"
                      placeholder="Negozio / Prodotto ..."
                      v-model.trim="newSearch"
                      @submit.prevent="submit"
                      @keydown.enter="search()"
        />
        <b-input-group-append>
            <b-button size="md"
                      class=""
                      variant="dark"
                      type="submit"
                      @click="search()"
            >
                <i class="fas fa-search"></i>

            </b-button>
        </b-input-group-append>
    </b-input-group>

    <div class="text-center mt-5" v-if="loading">
        <b-spinner type="grow" variant="primary"/>
    </div>

    <b-container class="pt-5" >
        <b-row cols="1" cols-sm="2" cols-md="2" cols-lg="3" cols-xl="4" v-if="shops !== null && shops.length > 0">
            <b-col v-for="shop in shops" > <!-- ADD LOGIC HERE -->
                <shop-card
                        :shop="shop"
                />
            </b-col>

        </b-row>

        <b-row cols="1" v-else-if="!loading" >
            <b-col class="text-center">
                <div class="display-md-4 h3">
                    La ricerca {{ this.searched }} non ha prodotto risultati!
                </div>
                <span>
                    Prova con parole come: pane, pasta o semplicemente caffetteria
                </span>
            </b-col>

        </b-row>


    </b-container>

</div>

